Author Topic: DB/2 Version 2 CAE for Win16  (Read 428 times)

Sean Casey

  • Newbie
  • *
  • Thank You
  • -Given: 4
  • -Receive: 2
  • Posts: 38
    • View Profile
DB/2 Version 2 CAE for Win16
« on: May 15, 2019, 07:20:49 pm »
Hi,

Does anyone know where I can find a copy of the version 2 DB/2 CAE for Windows 3.1?  The file “win31cae.exe” was once on Hobbes, but has been removed.  I found a copy of the v.5.2 Win16 client, but receive a win32s 1.30 error when installing (I have 1.25/1.30 win32s installed.)

Thank you.
« Last Edit: May 15, 2019, 07:24:45 pm by Sean Casey »

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 7
  • Posts: 157
    • View Profile
Re: DB/2 Version 2 CAE for Win16
« Reply #1 on: May 17, 2019, 02:32:18 am »
I have attached the win31cae.zip

I have the version 5.2 cae running on Win-OS2 and I have not seen any Win32s errors. Although I have seen Win32s 1.25 v 1.30 errors in the past when I wasn't careful with the v 1.25 to v 1.30 conversion.

As you probably know v 2.x cae will only work with DB2 server versions 2, 5.x, 6.x; it will not work with DB2 server version 7 - because of IBM's dumb 2 version difference rule.

Version 5.2 Win3.1 cae will work, but it has issues with ODBC. Mainly - if you do not connect to your database with the comand line processor or client setup BEFORE attempting to connect through ODBC you will get a strange error about stack overflow. If you connect, say with the command line processor in windows and just leave the CLP open, you can then connect and run with ODBC.

Hope this helps

Sean Casey

  • Newbie
  • *
  • Thank You
  • -Given: 4
  • -Receive: 2
  • Posts: 38
    • View Profile
Re: DB/2 Version 2 CAE for Win16
« Reply #2 on: May 17, 2019, 04:43:49 pm »
Thank you very much .  I'll revisit how I installed Win32s v1.3 now that I know the v5.2 client should have worked with Win-OS2.
« Last Edit: May 18, 2019, 05:12:31 am by Sean Casey »